<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <h1>List Classes of validation</h1>

            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">

                <p>
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filter" value="#{viewClassManager.availableClasses.filter}"/>
                        <ui:param name="filterId" value="packageName"/>
                        <ui:param name="filterName" value="package/norm"/>
                        <ui:param name="filterForm" value="globalForm"/>
                    </ui:include>
                </p>

                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                     render="globalForm,templTabl">
                        <span class="fa fa-refresh"/>
                    </a4j:commandLink>

                    <a4j:commandLink actionListener="#{viewClassManager.initialize()}"
                                     title="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}" type="submit"
                                     execute="@this" render="globalForm">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>

            </ui:decorate>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    List Classes of validation
                </ui:define>
                <h:outputText value="Templates Number : #{viewClassManager.availableClasses.rowCount}"/>
                <rich:dataTable id="templTabl" rendered="#{viewClassManager.availableClasses != null}" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                value="#{viewClassManager.availableClasses}" var="currentClass" render="ds">
                    <ns0:column xmlns:ns0="http://www.ihe.net/gazelle" filterBy="#{'name'}" filterEvent="onkeyup"
                                sortBy="#{'name'}" sortOrder="descending">
                        <ui:define name="header">name</ui:define>
                        <h:outputLink
                                value="classDescriptor.seam?name=#{currentClass.name}&amp;pack=#{currentClass.mbPackage.name}"
                                target="_blank">
                            <h:outputText value="#{currentClass.name}"/>
                        </h:outputLink>
                    </ns0:column>
                    <ns1:column xmlns:ns1="http://www.ihe.net/gazelle" filterBy="#{'mbPackage.name'}"
                                filterEvent="onkeyup" sortBy="#{'mbPackage.name'}" sortOrder="descending">
                        <ui:define name="header">package / norm</ui:define>
                        <h:outputText value="#{currentClass.mbPackage.name}"/>
                    </ns1:column>
                    <ns2:column xmlns:ns2="http://www.ihe.net/gazelle">
                        <ui:define name="header">class type</ui:define>
                        <h:outputText value="#{currentClass.class.simpleName}"/>
                    </ns2:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="templTabl"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>